Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.HitData Class Reference

## Public Member Functions
| HitData ()
| Constructor.
| HitData (HitData other)
| Constructor, with another hit data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getComment ()
| Get hit rule comment to explain more details about the rule. More...
String | getName ()
| Get hit rule name. More...
int | getPage_index ()
| Get page index, starting from 0. More...
int | getSeverity ()
| Get the check severity of current hit data. More...
WStringArray | getTrigger_values ()
| Get array of trigger values. More...
int | getTriggered_count ()
| Get represents the count of hit operation for current data has been triggered during document verification or conversion process. More...
void | setComment (String value)
| Set hit rule comment to explain more details about the rule. More...
void | setName (String value)
| Set hit rule name. More...
void | setPage_index (int value)
| Set page index, starting from 0. More...
void | setSeverity (int value)
| Set the check severity of current hit data. More...
void | setTrigger_values (WStringArray value)
| Set array of trigger values. More...
void | setTriggered_count (int value)
| Set represents the count of hit operation for current data has been triggered during document verification or conversion process. More...

## Static Public Attributes
static final int | e_CheckSeverityError = 3
| Error severity.
static final int | e_CheckSeverityInfo = 1
| Info severity.
static final int | e_CheckSeverityWarning = 2
| Warning severity.

## Detailed Description

This class represents a hit data. Hit data represents the data for a hit operation triggered during document verification or conversion process.

## Constructor & Destructor Documentation

## ◆ HitData()

com.foxit.sdk.addon.compliance.HitData.HitData | ( | HitData | other | ) |

Constructor, with another hit data object.

Parameters

  [in] | other | Another hit data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.HitData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getComment()

com.foxit.sdk.addon.compliance.HitData.getComment | ( |  | ) |

Get hit rule comment to explain more details about the rule.

Returns
  Hit rule comment to explain more details about the rule.

## ◆ getName()

com.foxit.sdk.addon.compliance.HitData.getName | ( |  | ) |

Get hit rule name.

Returns
  Hit rule name.

## ◆ getPage_index()

com.foxit.sdk.addon.compliance.HitData.getPage_index | ( |  | ) |

Get page index, starting from 0.

Returns
  Page index, starting from 0. -1 means current hit data was hit in document level.

## ◆ getSeverity()

com.foxit.sdk.addon.compliance.HitData.getSeverity | ( |  | ) |

Get the check severity of current hit data.

Returns
  The check severity of current hit data. Please refer to values starting from com.foxit.sdk.addon.compliance.HitData.e_CheckSeverityInfo and this should be one of these values.

## ◆ getTrigger_values()

com.foxit.sdk.addon.compliance.HitData.getTrigger_values | ( |  | ) |

Get array of trigger values.

Returns
  Array of trigger values. The count of triggered values is no more then triggered_count.

## ◆ getTriggered_count()

com.foxit.sdk.addon.compliance.HitData.getTriggered_count | ( |  | ) |

Get represents the count of hit operation for current data has been triggered during document verification or conversion process.

Returns
  Represents the count of hit operation for current data has been triggered during document verification or conversion process.

## ◆ setComment()

com.foxit.sdk.addon.compliance.HitData.setComment | ( | String | value | ) |

Set hit rule comment to explain more details about the rule.

Parameters

  [in] | value | Hit rule comment to explain more details about the rule.

Returns
  None.

## ◆ setName()

com.foxit.sdk.addon.compliance.HitData.setName | ( | String | value | ) |

Set hit rule name.

Parameters

  [in] | value | Hit rule name.

Returns
  None.

## ◆ setPage_index()

com.foxit.sdk.addon.compliance.HitData.setPage_index | ( | int | value | ) |

Set page index, starting from 0.

Parameters

  [in] | value | Page index, starting from 0. -1 means current hit data was hit in document level.

Returns
  None.

## ◆ setSeverity()

com.foxit.sdk.addon.compliance.HitData.setSeverity | ( | int | value | ) |

Set the check severity of current hit data.

Parameters

  [in] | value | The check severity of current hit data. Please refer to values starting from com.foxit.sdk.addon.compliance.HitData.e_CheckSeverityInfo and this should be one of these values.

Returns
  None.

## ◆ setTrigger_values()

com.foxit.sdk.addon.compliance.HitData.setTrigger_values | ( | WStringArray | value | ) |

Set array of trigger values.

Parameters

  [in] | value | Array of trigger values. The count of triggered values is no more then triggered_count.

Returns
  None.

## ◆ setTriggered_count()

com.foxit.sdk.addon.compliance.HitData.setTriggered_count | ( | int | value | ) |

Set represents the count of hit operation for current data has been triggered during document verification or conversion process.

Parameters

  [in] | value | Represents the count of hit operation for current data has been triggered during document verification or conversion process.

Returns
  None.